Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jbosscommon51
Interface CallPropertyType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  CallPropertyTypeImpl

    public interface CallPropertyType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `call-propertyType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getPropName()` Returns the `prop-name` element
`java.lang.String` | `getPropValue()` Returns the `prop-value` element
`CallPropertyType<T>` | `removePropName()` Removes the `prop-name` element
`CallPropertyType<T>` | `removePropValue()` Removes the `prop-value` element
`CallPropertyType<T>` | `setPropName(java.lang.String propName)` If not already created, a new `prop-name` element with the given value will be created.
`CallPropertyType<T>` | `setPropValue(java.lang.String propValue)` If not already created, a new `prop-value` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setPropName

    CallPropertyType<T> setPropName(java.lang.String propName)

  If not already created, a new `prop-name` element with the given value will be created. Otherwise, the existing `prop-name` element will be updated with the given value.

  Returns:
    the current instance of `CallPropertyType`

### removePropName

    CallPropertyType<T> removePropName()

  Removes the `prop-name` element

  Returns:
    the current instance of `CallPropertyType`

### getPropName

    java.lang.String getPropName()

  Returns the `prop-name` element

  Returns:
    the node defined for the element `prop-name`

### setPropValue

    CallPropertyType<T> setPropValue(java.lang.String propValue)

  If not already created, a new `prop-value` element with the given value will be created. Otherwise, the existing `prop-value` element will be updated with the given value.

  Returns:
    the current instance of `CallPropertyType`

### removePropValue

    CallPropertyType<T> removePropValue()

  Removes the `prop-value` element

  Returns:
    the current instance of `CallPropertyType`

### getPropValue

    java.lang.String getPropValue()

  Returns the `prop-value` element

  Returns:
    the node defined for the element `prop-value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD